%define module Gnome2-ZvtTerm
%define fmodule Gnome2/ZvtTerm

Summary: Perl module for the zvt terminal widget
Name:    perl-%module
Version: 0.3
Release: 2mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: libzvt-devel => 2.0.1, perl-Glib => 1.00, perl-Gtk2
BuildRequires: perl-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig 
Requires: perl-Glib >= 1.00
Conflicts: drakxtools < 9.1-15mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to GNOME-2.x zvt libraries.

ZVT is the Zed's Virtual Terminal.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc example.pl
%{_mandir}/*/*
%{perl_vendorarch}/%fmodule
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule

%changelog
* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-2mdk
- rebuild for perl-5.8.5

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-1mdk
- initial release
